import { actionLogin } from "./actionLogin";
import { actionAuthLogin } from "./actionAuthLogin";
import { actionFindUser } from "./actionFindUser";

export const actionFullLogin = (login, password) => async dispatch => {
	let result = await dispatch(actionLogin(login, password));
	if (result !== null) {
		dispatch(actionAuthLogin(result));
	} else {
		alert("That user doesn’t exist!");
		localStorage.clear();
	}
	await dispatch(actionFindUser());
};
